Name:		dcadec
Version:	0.1.0
Release:	1%{?dist}
Summary:	dcadec is a free DTS Coherent Acoustics decoder

License:	LGPLv2+
URL:		https://github.com/foo86/dcadec
Source0:	https://github.com/foo86/dcadec/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz


%description
dcadec is a free DTS Coherent Acoustics decoder with support for HD extensions


%package libs
Summary:	Library files for dcadec


%description libs
%{summary}


%package libs-devel
Summary:	Development files for dcadec
Requires: %{name}-libs%{?_isa} = %{version}-%{release}


%description libs-devel
%{summary}


%prep
%setup -q


%build
CFLAGS=-fPIC make %{?_smp_mflags}


%install
PREFIX=/usr LIBDIR=%{_libdir} CONFIG_SHARED=1 %make_install
cp -a libdcadec/libdcadec.so.0 %{buildroot}%{_libdir}/
chmod +x %{buildroot}%{_libdir}/libdcadec.so.0.0.0


%files
%license COPYING.LGPLv2.1
%doc README.md
%{_bindir}/dcadec

%files libs
%{_libdir}/libdcadec.so.0
%{_libdir}/libdcadec.so.0.0.0

%files libs-devel
%{_includedir}/libdcadec
%{_libdir}/libdcadec.so
%{_libdir}/pkgconfig/dcadec.pc


%changelog
* Sun Dec 06 2015 Michael Cronenworth <mike@cchtml.com> - 0.1.0-1
- Initial package

